Daraja HTTP Framework 3.0-MS1 HTTP server framework for Object Pascal

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
TdjHTTPConnector Class Reference

HTTP connector. More...

Inheritance diagram for TdjHTTPConnector:

## Public Member Functions
| TdjHTTPConnector (const IHandler Handler)
| Create a HTTP connector.
| ~TdjHTTPConnector ()
| Destructor.
| DoStart ()
| Start the handler.
| DoStop ()
| Stop the handler.
Public Member Functions inherited from TdjAbstractConnector
| TdjAbstractConnector (const IHandler Handler)
| Create a connector.
| ~TdjAbstractConnector ()
| Destructor.
| DoStart ()
| Start the handler.
| DoStop ()
| Stop the handler.
Public Member Functions inherited from TdjLifeCycle
| Start ()
| Start the handler.
| Stop ()
| Stop the handler.
Boolean | IsStarted ()
Boolean | IsStopped ()

## Public Attributes
TdjHTTPServer | HTTPServer
Public Attributes inherited from TdjAbstractConnector
string | Host
Integer | Port
Public Attributes inherited from TdjLifeCycle
Boolean | Started
| True if the state is "started".
Boolean | Stopped
| True if the state is "stopped".

## Additional Inherited Members
Protected Member Functions inherited from TdjLifeCycle
| DoStart ()
| Execute the custom start code.
| DoStop ()
| Execute the custom stop code.
| CheckStarted ()
| Raises an exception if the lifecycle is in "started" state.
| CheckStopped ()
| Raises an exception if the lifecycle is in "stopped" state.
Protected Attributes inherited from TdjAbstractConnector
IHandler | Handler
| Handler for incoming requests.

## Detailed Description

HTTP connector.

Instances of this class wrap a TdjHTTPServer component.

## Constructor & Destructor Documentation

## ◆ TdjHTTPConnector()

TdjHTTPConnector::TdjHTTPConnector | ( | const IHandler | Handler | ) |

Create a HTTP connector.

The handler is a required argument. The connector will call the "Handle" method for incoming requests.

Parameters

  Handler | the request handler

References TdjAbstractConnector::Handler.

## Member Data Documentation

## ◆ HTTPServer

TdjHTTPServer TdjHTTPConnector::HTTPServer

See also
  FHTTPServer For reading

Referenced by DoStart(), DoStop(), and ~TdjHTTPConnector().